#include <p18f4550.h>
#include <stdlib.h>
#include "lcd.h"

//configuration for this pic18
#pragma config WDT = OFF
#pragma config BOR = ON
#pragma config FOSC = INTOSCIO_EC
#pragma config IESO = ON
#pragma config FCMEN = OFF
#pragma config MCLRE = ON

void init_pic();

void init_pic(){
	//set the internal crystal to 8MHZ
	OSCCONbits.IRCF0=1;
  	OSCCONbits.IRCF1=1;
	OSCCONbits.IRCF2=1;
	ADCON0bits.ADON=0;
}



void main (void){
	int i;
	//every string is composed of 'text' + '\0' while \n means go to next line
	unsigned char string[40]="4 bits mode\nwith C18\0";
	unsigned char string2[40]="Please impove \nand share it!\0";
	init_pic();
    init_lcd();
	init_lcd();
	init_lcd();

	delay_ms(400);
	print_lcd(string);
	delay_ms(2000);

	clear();
	print_lcd(string2);
	delay_ms(2000);
	
	for(i=0;i<10;i++){
		clear();
		print_lcd(itoa(i,string));
		delay_ms(1000);
	}
	
}